Bug 1473399 - [RFE]: rgw: nfs-ganesha store v4 clientids in RADOS [NEEDINFO]
[RFE]: rgw: nfs-ganesha store v4 clientids in RADOS
Status: ON_QA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
3.0
All All
urgent Severity urgent
: rc
: 3.0
Assigned To: Matt Benjamin (redhat)
ceph-qe-bugs
: CodeChange, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 13:25 EDT by Matt Benjamin (redhat)
Modified: 2017-09-08 06:38 EDT (History)
11 users (show)

See Also:
Fixed In Version: RHEL: nfs-ganesha-2.5.2-2.el7cp Ubuntu: nfs-ganesha_2.5.2-3redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hnallurv: needinfo? (mbenjamin)
hnallurv: needinfo? (mbenjamin)


Attachments (Terms of Use)

  None (edit)
Description Matt Benjamin (redhat) 2017-07-20 13:25:35 EDT
This bug contains the following actions

1. absorb the following 2 upstream nfs-ganesha commits from Gui Hecheng <guihecheng@cmss.chinamobile.com>

commit 7a97788340772013dceb603dfee5e6f2a353bcb2
Author: Gui Hecheng <guihecheng@cmss.chinamobile.com>
Date:   Wed May 3 09:58:34 2017 +0800

    cmake: make modulized recovery backends compile as modules
    
    - add USE_RADOS_RECOV option for new rados kv backend
    - keep original fs backend as default
    
    Change-Id: I26c2c4f9a433e6cd70f113fa05194d6817b9377a
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>

commit c3ff11cca87c3963ea44beff9f5753fbb2150b7a
Author: Gui Hecheng <guihecheng@cmss.chinamobile.com>
Date:   Thu Mar 30 10:50:18 2017 +0800

    SAL: introduce new recovery backend based on rados kv store
    
    Use rados OMAP API to implement a kv store for client tracking data
    
    Change-Id: I1aec1e110a2fba87ae39a1439818a363b6cfc822
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>
Comment 2 Harish NV Rao 2017-07-25 10:13:51 EDT
@Matt, could you please provide more information on this bz and the steps to verify the fix?
Comment 4 Harish NV Rao 2017-07-28 06:57:00 EDT
(In reply to Harish NV Rao from comment #2)
> @Matt, could you please provide more information on this bz and the steps to
> verify the fix?

@Matt, A gentle reminder
Comment 5 Harish NV Rao 2017-08-02 04:57:45 EDT
(In reply to Harish NV Rao from comment #4)
> (In reply to Harish NV Rao from comment #2)
> > @Matt, could you please provide more information on this bz and the steps to
> > verify the fix?
> 
> @Matt, A gentle reminder

@Matt, A gentle reminder
Comment 6 Drew Harris 2017-08-30 11:22:40 EDT
This is required OSP 13 manilla support. Does not need to be tested for 3.0 GA.
Comment 10 Daniel Gryniewicz 2017-09-07 10:04:39 EDT
There are actually 4 commits in this sequence, not 2.  Here they are:

commit 227e63a3f75ac8cec73533079c2396dc8b3e108f
Author:     Gui Hecheng <guihecheng@cmss.chinamobile.com>
AuthorDate: Thu May 4 22:43:17 2017 +0800
Commit:     Daniel Gryniewicz <dang@redhat.com>
CommitDate: Thu Sep 7 08:22:57 2017 -0400

    config: add new config options for rados_kv recovery backend
    
    - new config block: RADOS_KV
    - new option: ceph_conf, userid, pool
    
    Change-Id: Id44afa70e8b5adb2cb2b9d48a807b0046f604f30
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>

commit eaaaa8dc4038f1653ec16964c5a247c8be9fc1cf
Author:     Gui Hecheng <guihecheng@cmss.chinamobile.com>
AuthorDate: Wed May 3 09:58:34 2017 +0800
Commit:     Daniel Gryniewicz <dang@redhat.com>
CommitDate: Thu Sep 7 08:21:56 2017 -0400

    cmake: make modulized recovery backends compile as modules
    
    - add USE_RADOS_RECOV option for new rados kv backend
    - keep original fs backend as default
    
    Change-Id: I26c2c4f9a433e6cd70f113fa05194d6817b9377a
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>

commit 1a6e79dc748ecf172b7eb77a89f7ab093f482dfc
Author:     Gui Hecheng <guihecheng@cmss.chinamobile.com>
AuthorDate: Thu Mar 30 10:50:18 2017 +0800
Commit:     Daniel Gryniewicz <dang@redhat.com>
CommitDate: Thu Sep 7 08:20:50 2017 -0400

    SAL: introduce new recovery backend based on rados kv store
    
    Use rados OMAP API to implement a kv store for client tracking data
    
    Change-Id: I1aec1e110a2fba87ae39a1439818a363b6cfc822
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>

commit 75e568201a1b7d5b487fe529db62dd672f41695a
Author:     Gui Hecheng <guihecheng@cmss.chinamobile.com>
AuthorDate: Thu Mar 30 10:44:25 2017 +0800
Commit:     Daniel Gryniewicz <dang@redhat.com>
CommitDate: Thu Sep 7 08:20:34 2017 -0400

    SAL: extract fs logic from nfs4_recovery
    
    This is a prepare patch for modulized recovery backends.
    - define recovery apis: struct nfs_recovery_backend
    - define hooks for recovery_fs module
    
    Change-Id: I45523ef9a0e6f9a801fc733b095ba2965dd8751b
    Signed-off-by: Gui Hecheng <guihecheng@cmss.chinamobile.com>


There's only one slight conflict, in the spec file.

Note You need to log in before you can comment on or make changes to this bug.